# AttributeCompatibilityRule

interface AttributeCompatibilityRule<T> : Action<T>

A rule that determines whether a given attribute value is compatible some provided attribute value.

The provided CompatibilityCheckDetails will give access to consumer and producer values and allow implementation mark the producer value as compatible or not.

Note that the rule will never receive a `CompatibilityCheckDetails` that has `equal` consumer and producer values as this check is performed before invoking the rule and assumes compatibility in that case.

#### Since

4.0

#### Parameters

<T>

The attribute value type.

#### See also

CompatibilityCheckDetails

## Functions

execute
Link copied to clipboard
abstract fun execute(t: T)
invoke
Link copied to clipboard
operator fun <T : Any> Action<in T>.invoke(target: T)

Enables function invocation syntax on Action references.